=== added directory 'chapter7'
=== added file 'chapter7/chapter7.xml'
--- chapter7/chapter7.xml	1970-01-01 00:00:00 +0000
+++ chapter7/chapter7.xml	2007-10-04 19:07:03 +0000
@@ -0,0 +1,2031 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE article PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN" "http://docbook.org/xml/4.2/docbookx.dtd">
+<article>
+	<sect1>
+		<title>Customising the Desktop and Applications</title>
+		<para><emphasis role="strong">Objectives</emphasis></para>
+		<para>In this lesson, you will learn how to:</para>
+		<itemizedlist>
+			<listitem>
+				<para>Customise the look and feel of the GNOME desktop (default Ubuntu desktop).</para>
+			</listitem>
+			<listitem>
+				<para>Work with the Nautilus file manager.</para>
+			</listitem>
+			<listitem>
+				<para>Grasp key features of the Konqueror file manager.</para>
+			</listitem>
+			<listitem>
+				<para>Identify the different package (application) managers and their
+				purpose.</para>
+			</listitem>
+			<listitem>
+				<para>Add and remove an applications using 3 different tools:
+				<p></p> using Add/Remove Applications.</para>
+			</listitem>
+			<listitem>
+				<para>Add and remove a software package using Synaptic Package
+				Manager.</para>
+			</listitem>
+			<listitem>
+				<para>Add and remove a software package using a command line
+				interface.</para>
+			</listitem>
+			<listitem>
+				<para>Identify the types of single package files (which is) and their use.</para>
+			</listitem>
+			<listitem>
+				<para>Install and uninstall Debian packages.</para>
+			</listitem>
+			<listitem>
+				<para>Install and uninstall tarballs.</para>
+			</listitem>
+			<listitem>
+				<para>Identify the categories of software repositories.</para>
+			</listitem>
+			<listitem>
+				<para>Add extra repositories.</para>
+			</listitem>
+		</itemizedlist>
+		<sect2>
+			<title>Introduction</title>
+			<para>Ubuntu comes with a user-friendly graphical user interface (GUI)
+			called GNU Network Object Model Environment (GNOME). GNOME is
+			free software that is part of the GNU project. Unlike other desktops,
+			the Ubuntu desktop comes completely clean and free of pre-determined 
+			icons and buttons.  You may want to add icons as per your requirements,
+			which implies a need for customisation.</para>
+			<screen><para><emphasis role="strong">Nice to Know:</emphasis></para>
+			<para>GNU is a recursive acronym for "GNU's Not Unix"; it is pronounced
+			<emphasis role="italic">guh-noo.</emphasis></para></screen>
+			<para>Ubuntu also provides different applications in the form of
+			packages such as GNU Image Manipulation Program (GIMP), Chess,
+			Mozilla and Totem Movie Player. You can use these packages to perform
+			tasks such as reading, creating or modifying text, managing files, surfing
+			the Web and playing games. To be able to use these packages, you
+			need to install them on your computer.</para>
+			<para>In this lesson, you will learn about various ways to set up your GNOME
+			desktop to suit your requirements. You will also learn how to install,
+			uninstall various software applications.</para>
+		</sect2>
+		<sect2>
+			<title>Customising the GNOME Desktop</title>
+			<para>Ubuntu comes with various GUIs (for our purpose, desktops) such as GNOME, K Desktop
+			Environment (KDE) and Xfce. GNOME is the
+			default desktop for Ubuntu. Though it is optional, you can also use a
+			command-line interface to perform most tasks. Some advantages of
+			using GNOME are:</para>
+			<itemizedlist>
+				<listitem>
+					<para>Easy access to free software</para>
+				</listitem>
+				<listitem>
+					<para>Easy to install, administer, support, learn and use</para>
+				</listitem>
+				<listitem>
+					<para>Compatibility with Microsoft Windows file systems</para>
+				</listitem>
+				<listitem>
+					<para>Availability of extensive help and support</para>
+				</listitem>
+				<listitem>
+					<para>Availability in many languages</para>
+				</listitem>
+			</itemizedlist>
+			<para>Most users like to tweak the look and feel of the desktop making favourite
+			applications and documents more available on hand.
+			GNOME provides specific graphical tools for configuring the features of
+			your desktop. You can customise the background, theme, screensaver
+			and screen resolution of your computer desktop.</para>
+			<para>The graphical tools in GNOME are available as menu options on
+			the <emphasis role="strong">System</emphasis> menu. Point to
+			<emphasis role="strong">Preferences</emphasis> on the
+			<emphasis role="strong">System menu</emphasis> to view the tools.
+			</para>
+				<sect3>
+				<title>Changing the Background</title>
+				<para>The desktop background is the image or colour applied to your
+				desktop. You can change the default
+				<emphasis role="strong">Simple Ubuntu</emphasis> background.
+				To change the background of the desktop:
+				<orderedlist numeration="arabic">
+					<listitem>
+						<para>On the <emphasis role="strong">System</emphasis>
+						menu, point to <emphasis role="strong">Preferences</emphasis>
+						and then click <emphasis role="strong">Desktop
+						Background</emphasis>. The <emphasis role="strong">
+						Desktop Background Preferences</emphasis> dialogue box
+						opens.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_001.png" format="PNG"/>
+							</imageobject>
+						</figure>
+						<screen><para><emphasis role="strong">Nice to Know:</emphasis></para>
+						<para>You can also right-click the desktop and select
+						<emphasis role="strong">Change Desktop Background</emphasis>
+						to open the <emphasis role="strong">Desktop
+						Background Preferences</emphasis> dialogue box.</para></screen>
+					</listitem>
+					<listitem>
+						<para>In the <emphasis role="strong">Desktop Background
+						Preferences</emphasis> dialogue box, select a desktop
+						wallpaper from the <emphasis role="strong">Desktop Wallpaper</emphasis>
+						list. The background changes immediately.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_002.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+					<listitem>
+						<para>Click <emphasis role="strong">Finish</emphasis> in
+						the <emphasis role="strong">Desktop Background Preferences</emphasis>
+						dialogue box to apply the change.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_003.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+				</orderedlist>
+				</para>
+				<para><emphasis role="strong">Adding a New Wallpaper</emphasis></para>
+				<para>Apart from the wallpapers available with the GNOME desktop,
+				you can download additional high-quality wallpapers and add them to
+				the available wallpapers list in the <emphasis role="strong">Desktop
+				Background Preferences</emphasis> dialogue box. To do this:
+				<orderedlist numeration="arabic">
+					<listitem>
+						<para>Open the Web site
+						<ulink url="http://art.gnome.org/">http://art.gnome.org/</ulink>
+						and click <emphasis role="strong">Backgrounds</emphasis>.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_004.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+					<listitem>
+						<para>Download the wallpaper of your choice. During the
+						download, you can view the screen resolutions available for the
+						selected wallpaper. You can download the wallpaper as per the
+						screen resolution of your computer, and then save the wallpaper
+						to a specified location.</para>
+					</listitem>
+					<listitem>
+						<para>On the <emphasis role="strong">System</emphasis>
+						menu, point to <emphasis role="strong">Preferences</emphasis>
+						and then click <emphasis role="strong">Desktop
+						Background</emphasis>. The <emphasis role="strong">
+						Desktop Background Preferences</emphasis> dialogue box
+						opens.</para>
+					</listitem>
+					<listitem>
+						<para>Click <emphasis role="strong">Add Wallpaper</emphasis>.
+						The <emphasis role="strong">Add Wallpaper</emphasis>
+						dialogue box opens.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_005.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+					<listitem>
+						<para>In the <emphasis role="strong">Add Wallpaper</emphasis>
+						dialogue box, select the downloaded image and
+						click <emphasis role="strong">Open</emphasis>.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_006.png" format="PNG"/>
+							</imageobject>
+						</figure>
+						<para>This step adds the image as new wallpaper.</para>
+					</listitem>
+					<listitem>
+						<para>Click <emphasis role="strong">Finish</emphasis> in
+						the <emphasis role="strong">Desktop Background Preferences</emphasis>
+						dialogue box to accept the changes. You can now
+						view the new desktop background.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_007.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+				</orderedlist>
+				</para>
+				<para><emphasis role="strong">Changing the Colour of the
+				Background</emphasis></para>
+				<para>To change the colour of the background:
+				<orderedlist numeration="arabic">
+					<listitem>
+						<para>On the <emphasis role="strong">System</emphasis>
+						menu, point to <emphasis role="strong">Preferences</emphasis>
+						and then click <emphasis role="strong">Desktop
+						Background</emphasis> to open the <emphasis role="strong">
+						Desktop Background Preferences</emphasis> dialogue box.
+						</para>
+					</listitem>
+					<listitem>
+						<para>Select the wallpaper <emphasis role="strong">No
+						Wallpaper</emphasis>. You can view colours only if you have
+						not set any desktop wallpaper.</para>
+					</listitem>
+					<listitem>
+						<para>The <emphasis role="strong">Desktop Colours</emphasis>
+						box provides three types of background:
+						<emphasis role="strong">Solid Colour, Horizontal Gradient</emphasis>
+						and <emphasis role="strong">Vertical Gradient</emphasis>.
+						Select the desktop colour of your choice and then
+						click the colour chip next to the <emphasis role="strong">
+						Desktop Colours</emphasis> dialogue box. The
+						<emphasis role="strong">Pick a Colour</emphasis> dialogue
+						box opens.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_008.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+					<listitem>
+						<para>Select a colour or the attributes of a colour such as hue
+						and saturation to create a colour of your choice.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_009.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+					<listitem>
+						<para>Click <emphasis role="strong">OK</emphasis>. The
+						desktop reflects the new settings immediately.</para>
+					</listitem>
+					<listitem>
+						<para>Click <emphasis role="strong">Finish</emphasis> to
+						close the <emphasis role="strong">Desktop Background
+						Preferences</emphasis> dialogue box.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_010.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+				</orderedlist>
+				</para>
+			</sect3>
+			<sect3>
+				<title>Customising the Theme (Buttons &amp; icons etc)</title>
+				<para>The desktop theme controls the visual appearance of the
+				buttons, scroll bars, icons, panels, borders etc.
+				Ubuntu provides a number of themes to determine the visual
+				appearance of the GNOME desktop.</para>
+				<para>To select a theme for your desktop:
+				<orderedlist numeration="arabic">
+					<listitem>
+						<para>On the <emphasis role="strong">System</emphasis>
+						menu, point to <emphasis role="strong">Preferences</emphasis>
+						and click <emphasis role="strong">Theme</emphasis>.
+						The <emphasis role="strong">Theme Preferences</emphasis>
+						dialogue box opens.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_011.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+					<listitem>
+						<para>Select the theme of your choice. The desktop reflects the
+						theme automatically. To customise your theme further, click
+						<emphasis role="strong">Customize</emphasis>. The
+						<emphasis role="strong">Theme Details</emphasis> dialogue
+						box opens.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_012.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+					<listitem>
+						<para>The default selection is <emphasis role="strong">
+						Controls</emphasis> tab. The setting on the
+						<emphasis role="strong">Controls</emphasis> tabbed page
+						defines the visual appearance of windows, panels and applets.
+						Select a control from the <emphasis role="strong">Controls</emphasis>
+						list. You can see a change in the appearance of
+						the open windows.</para>
+						<screen><para><emphasis role="strong">Note:</emphasis></para>
+						<para>You can customise the following objects on the screen:
+						<emphasis role="strong">Window:</emphasis> a
+						rectangular area of the screen with a border and a title bar at
+						the top. When opened, any application looks like a window.</para>
+						<para><emphasis role="strong">Panel:</emphasis> an area on
+						the GNOME desktop from where you can access information
+						such as date and time. You can also launch applications and
+						add or remove objects from panels. The GNOME desktop
+						contains two panels, top edge panel at the top edge of the
+						screen and bottom edge panel at the bottom edge of the
+						screen.</para>
+						<para><emphasis role="strong">Applet:</emphasis> a small
+						application whose user interface resides within a panel.</para>
+						<para><emphasis role="strong">Window Border:</emphasis> 
+						a window frame that contains the name of the application
+						opened with the system controls.</para>
+						<para><emphasis role="strong">Icon:</emphasis> a graphical
+						symbol for the applications and options on the panels and
+						windows.</para></screen>
+						<para>Similarly, you can customise the background and text
+						colour of your windows, input boxes and selected items by
+						configuring the settings on the <emphasis role="strong">Colors</emphasis>
+						tab.</para>
+						<para>If you want to customise your window borders and icons,
+						click the <emphasis role="strong">Window Border</emphasis>
+						and <emphasis role="strong">Icons</emphasis> tabs in the
+						<emphasis role="strong">Theme Details</emphasis> dialogue
+						box.</para>
+						<screen><para><emphasis role="strong">Note:</emphasis></para>
+						<para>Ubuntu provides additional options to customise your themes. You can
+						download more controls, window borders and icons from the
+						Web site
+						<ulink url="http://art.gnome.org">http://art.gnome.org</ulink>
+						and save it at any location on
+						your computer. While customising the theme, click
+						<emphasis role="strong">Install</emphasis> in the
+						<emphasis role="strong">Theme Details</emphasis>
+						dialogue box. The <emphasis role="strong">Select Theme</emphasis>
+						dialogue box opens, and you can select the
+						downloaded objects.</para></screen>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_013.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+					<listitem>
+						<para>Click <emphasis role="strong">Close</emphasis> in the
+						<emphasis role="strong">Theme Details</emphasis> dialogue
+						box. To save the theme, click <emphasis role="strong">Save
+						Theme</emphasis> in the <emphasis role="strong">Theme
+						Preferences</emphasis> dialogue box. The
+						<emphasis role="strong">Save Theme As</emphasis> dialogue
+						box opens.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_014.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+					<listitem>
+						<para>Provide a name to the theme in the
+						<emphasis role="strong">Name</emphasis> box and a
+						description, if you want, in the
+						<emphasis role="strong">Description</emphasis> box.
+						Click <emphasis role="strong">Save</emphasis>.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_015.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+					<listitem>
+						<para>In the <emphasis role="strong">Theme Preferences</emphasis>
+						dialogue box, click <emphasis role="strong">
+						Close</emphasis>.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_016.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+				</orderedlist>
+				</para>
+				<para>If you open any menu or window, you can view the specified
+				changes in their appearance.</para>
+				<para><emphasis role="strong">Installing New Themes</emphasis></para>
+				<para>You can also download other Ubuntu-compatible themes from Ubuntu's recommended source.
+				To install these themes:
+				<orderedlist numeration="arabic">
+					<listitem>
+						<para>Open the Web site and click <emphasis role="strong">
+						DesktopThemes</emphasis>.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_017.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+					<listitem>
+						<para>Download a theme of your choice. Select any theme and
+						follow the instructions as they appear.</para>
+					</listitem>
+					<listitem>
+						<para>On the <emphasis role="strong">System</emphasis>
+						menu, point to <emphasis role="strong">Preferences</emphasis>
+						and click <emphasis role="strong">Theme</emphasis>.
+						The <emphasis role="strong">Theme Preferences</emphasis>
+						dialogue box opens.</para>
+					</listitem>
+					<listitem>
+						<para>Click <emphasis role="strong">Install Theme</emphasis>
+						. The <emphasis role="strong">Select Theme</emphasis>
+						dialogue box opens.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_018.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+					<listitem>
+						<para>Select the downloaded theme and click
+						<emphasis role="strong">Open</emphasis>.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_019.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+					<listitem>
+						<para>You can apply a new theme or retain the current theme.
+						Click <emphasis role="strong">Apply New Theme</emphasis>
+						to apply the new theme. The screen will reflect the new theme
+						immediately.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_020.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+					<listitem>
+						<para>Click <emphasis role="strong">Close</emphasis> in the
+						<emphasis role="strong">Theme Preferences</emphasis>
+						dialogue box.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_021.png" format="PNG"/>
+							</imageobject>
+						</figure>
+						<para>If you open any menu or window, it will reflect the
+						selected theme.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_022.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+				</orderedlist>
+				</para>
+			</sect3>
+			<sect3>
+				<title>Customising a Screensaver</title>
+				<para>A screensaver displays (often moving) images on the screen when
+				your computer is switched on but not in use. To go back to the
+				workspace, you can move the mouse or press any key on the
+				keyboard.</para>
+				<para>You can choose a screensaver and customise it. To
+				customise a screensaver:
+				<orderedlist numeration="arabic">
+					<listitem>
+						<para>On the <emphasis role="strong">System</emphasis>
+						menu, point to <emphasis role="strong">Preferences</emphasis>
+						and click <emphasis role="strong">Screensaver</emphasis>.
+						The <emphasis role="strong">Screensaver
+						Preferences</emphasis> dialogue box opens.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_023.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+					<listitem>
+						<para>Select the screensaver from the list of available
+						screensavers. You can preview the screensaver in the right pane.
+						</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_024.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+					<listitem>
+						<para>The <emphasis role="strong">Regard the computer as
+						idle after</emphasis> slider specifies when a screensaver starts
+						to work if the computer is not in use. The
+						default time is set to 10 minutes. You can use this slider to
+						select how long the computer needs to be idle before the
+						screensaver activates.</para>
+					</listitem>
+					<listitem>
+						<para>To prevent any tampering of your computer in your
+						absence, you can automatically lock your screen the moment
+						the screensaver activates. Locking requires users to type their
+						password to reactivate the desktop. Select the
+						<emphasis role="strong">Lock screen when screensaver is
+						active</emphasis> check box to lock the screen when the
+						screensaver starts.</para>
+					</listitem>
+					<listitem>
+						<para>Click <emphasis role="strong">Close</emphasis>.</para>
+					</listitem>
+				</orderedlist>
+				</para>
+				<para>The selected screensaver displays when the computer is idle
+				for the specified period.</para>
+			</sect3>
+			<sect3>
+				<title>Customising the Screen Resolution</title>
+				<para>The screen resolution determines how large or small an item
+				looks on the screen. To modify the screen resolution of the GNOME
+				desktop:
+				<orderedlist numeration="arabic">
+					<listitem>
+						<para>On the <emphasis role="strong">System</emphasis>
+						menu, point to <emphasis role="strong">Preferences</emphasis>
+						and then click <emphasis role="strong">Screen
+						Resolution</emphasis>. The <emphasis role="strong">Screen
+						Resolution Preferences</emphasis> dialogue box opens.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_025.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+					<listitem>
+						<para>The default resolution is <emphasis role="strong">
+						1024x768</emphasis>. You can change the resolution in the
+						<emphasis role="strong">Resolution</emphasis> box.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_026.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+					<listitem>
+						<para>Click <emphasis role="strong">Apply</emphasis>. The
+						<emphasis role="strong">Keep Resolution</emphasis>
+						dialogue box opens, prompting you to confirm settings or use
+						the previous resolution and revert to the original settings. Click
+						<emphasis role="strong">Keep resolution</emphasis> to apply
+						new changes.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_027.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+				</orderedlist>
+				</para>
+				<para>The screen resolution will change.</para>
+				<figure>
+					<imageobject>
+						<imagedata fileref="./images/chapter7_Image_028.png" format="PNG"/>
+					</imageobject>
+				</figure>
+			</sect3>
+		</sect2>
+		<sect2>
+			<title>Working with Files Using Nautilus</title>
+			<para>The Nautilus file manager in Ubuntu provides a simple and
+			integrated way to manage files and applications. It is a GNOME
+			application and is configured with other applications in Ubuntu.</para>
+			<sect3>
+				<title>Features of Nautilus</title>
+				<para>The Nautilus file manager allows you to organise files into
+				folders perform the following tasks:</para>
+				<itemizedlist>
+					<listitem>
+						<para>Create and display folders and documents: You can
+						create new files, organise them into folders and save them.
+						</para>
+					</listitem>
+					<listitem>
+						<para>Search and manage your files - classify files and
+						search them as per their classification.</para>
+					</listitem>
+					<listitem>
+						<para>Open special locations on your computer - access the local network and save your files.
+						</para>
+					</listitem>
+					<listitem>
+						<para>Write data to a CD or DVD</para>
+					</listitem>
+					<listitem>
+						<para>Navigate using two modes</para>
+						<itemizedlist>
+							<listitem>
+								<para>Spatial mode: allows you to open each
+								folder in a separate window, which helps open your files as
+								physical objects in different locations. You can view the
+								content of various folders simultaneously.</para>
+							</listitem>
+							<listitem>
+								<para>Browser mode: opens your folders in a
+								single window. Only one file manager opens in browser
+								mode, and it is updated when you click another folder in the
+								file manager.</para>
+							</listitem>
+						</itemizedlist>
+					</listitem>
+				</itemizedlist>
+				<para><emphasis role="strong"><emphasis role="italic">Instructor Notes:</emphasis></emphasis></para>
+				<para><emphasis role="italic">Compare browser mode with Firefox to help students appreciate the
+				similarity.</emphasis></para>
+			</sect3>
+			<sect3>
+				<screen><para><emphasis role="strong">Note:</emphasis></para>
+				<para>Spatial mode is the default mode for the Nautilus file manager in
+				GNOME, but while compiling Ubuntu, the mode changes to
+				browser mode. By default, your files open in browser mode in
+				Ubuntu.</para></screen>
+				<para>To choose the required mode:
+				<orderedlist numeration="arabic">
+					<listitem>
+						<para>Click the <emphasis role="strong">Places</emphasis>
+						menu. A list of items appears:
+						<itemizedlist>
+							<listitem>
+								<para><emphasis role="strong">Home Folder:</emphasis>
+								This is a personal folder created by default for every user
+								to create and work on files. It takes the user name by
+								default.</para>
+							</listitem>
+							<listitem>
+								<para><emphasis role="strong">Desktop:</emphasis> an
+								active component that lies behind all the screens on
+								your computer and provides easy and quick access to
+								the files saved on it.</para>
+							</listitem>
+							<listitem>
+								<para><emphasis role="strong">Computer:</emphasis> contains all drives and file systems;
+								makes document backup onto CD and DVD really simple.</para>
+							</listitem>
+							<listitem>
+								<para><emphasis role="strong">CD/DVD Creator:</emphasis>
+								It consists of folders that you can write to a CD or a
+								DVD. You can also back up your documents on a CD or
+								a DVD.</para>
+							</listitem>
+						</itemizedlist>
+					</para>
+					</listitem>
+					<listitem>
+						<para>Click any of the above items on the
+						<emphasis role="strong">Places</emphasis> menu.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_029.png" format="PNG"/>
+							</imageobject>
+						</figure>
+						<para>As the default mode is browser mode, the Nautilus file
+						manager opens in this mode. If you open a folder in this mode,
+						the folder will open in the same window. The location bar shows
+						the current location of the opened folder in the hierarchy of
+						folders, and the sidebar shows other folders saved on your
+						computer.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_030.png" format="PNG"/>
+							</imageobject>
+						</figure>
+						<para>While in browser mode, you can move to the parent folder
+						that contains the currently open folder. To move to the parent
+						folder, click <emphasis role="strong">Open Parent</emphasis>
+						on the <emphasis role="strong">Go</emphasis> menu in the
+						window.</para>
+						<screen><para><emphasis role="strong">Note:</emphasis></para>
+						<para>You can also click <emphasis role="strong">Up</emphasis>
+						on the navigation toolbar or press the BACKSPACE key to
+						move to the parent folder.</para></screen>
+					</listitem>
+					<listitem>
+						<para>On the <emphasis role="strong">Edit</emphasis>
+						menu, click <emphasis role="strong">Preferences</emphasis>.
+						The <emphasis role="strong">File Management Preferences</emphasis>
+						dialogue box opens.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_031.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+					<listitem>
+						<para>Click the <emphasis role="strong">Behavior</emphasis>
+						tab in the dialogue box. To change the mode to spatial mode,
+						clear the <emphasis role="strong">Always open in browser
+						windows</emphasis> check box and then click
+						<emphasis role="strong">Close</emphasis>.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_032.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+					<listitem>
+						<para>Close the file manager window and open it again. Your
+						files will now open in spatial mode. If you open another folder, it
+						will open in a different file manager window.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_033.png" format="PNG"/>
+							</imageobject>
+						</figure>
+						<screen><para><emphasis role="strong">Note:</emphasis></para>
+						<para>Each time you open a particular folder in spatial mode, you
+						will find its window displayed in the same place on the screen
+						and of the same size as during the last view. For this reason,
+						this mode is referred to as spatial mode.</para></screen>
+						<para>To move to the parent folder in spatial mode, click
+						<emphasis role="strong">Open Parent</emphasis> on the
+						<emphasis role="strong">File</emphasis> menu. Alternatively,
+						you can press the ALT+UP ARROW key.</para>
+					</listitem>
+				</orderedlist>
+				</para>
+			</sect3>
+		</sect2>
+		<sect2>
+			<title>Features of Konqueror (KDE equivalent of Nautilous file manager)</title>
+			<para>Konqueror is a multi-purpose application that can act as a file
+			manager, Web browser and universal viewer. Konqueror is used in the
+			KDE (another popular version of Ubuntu). Apart from allowing you to browse various Web sites, this
+			application provides basic file management and helps view different file
+			types.</para>
+			<para>As a file manager, you can manage your files not only on your
+			computer but also on remote computers by using the File Transfer
+			Protocol (FTP), WebDav or other protocols.</para>
+			<para>You can view files in either the icon view or the tree view.</para>
+			<para>You can copy, move or delete files directly by using the
+			drag-and-drop feature.</para>
+			<para>Konqueror automatically updates a directory if any new file is
+			created or deleted from it and reflects the changes immediately-you
+			need not refresh the workspace. You can customise Konqueror as per
+			your own requirements. The following figure shows the Konqueror file
+			manager in the icon and tree views, respectively.</para>
+			<figure>
+				<imageobject>
+					<imagedata fileref="./images/chapter7_Image_034.png" format="PNG"/>
+				</imageobject>
+			</figure>
+			<figure>
+				<imageobject>
+					<imagedata fileref="./images/chapter7_Image_035.png" format="PNG"/>
+				</imageobject>
+			</figure>
+			<para><emphasis role="strong">Konqueror: A Viewer</emphasis></para>
+			<para>The Konqueror viewer allows you to view files of various types,
+			such as an image or a Word document, in the current view. You can
+			embed the files in Konqueror and view them.</para>
+			<para><emphasis role="strong">Konqueror: A Web Browser</emphasis></para>
+			<para>The Konqueror Web browser provides an easy-to-use, impressive
+			interface for KDE users.</para>
+			</sect2>
+			<sect2>
+			<title>Package Managers</title>
+			<para><emphasis role="strong"><emphasis role="italic">Instructor Notes:</emphasis></emphasis></para>
+			<para><emphasis role="italic">Initiate a discussion on the common
+			applications the participants use at their homes or offices and where
+			they source it, the cost and difficulty or ease in installation and the
+			support they get. On one side of the whiteboard, keep recording the
+			problems they face or the good points of the applications they use.
+			Start with the topic and tick the points on the whiteboard as and when
+			they come up and you explain how each point is addressed by
+			Ubuntu during the delivery of this lesson.</emphasis></para>
+			<para>Similar to other operating systems, most packages in Ubuntu
+			depend on a number of shared libraries and fail to install, uninstall and
+			work if the associated libraries are missing. Therefore, to simplify the
+			task of managing the packages, Ubuntu provides package managers,
+			which are tools that automate the process of installing, upgrading, 
+			configuring and removing software packages from a computer. These
+			package managers maintain a database of packages installed and
+			available on a computer and the libraries required. Package managers
+			also resolve dependencies automatically. They download the package, if
+			required, from the Internet and install it.</para>
+			<sect3>
+				<title>Types of Package Managers</title>
+				<para>Ubuntu includes a few package managers by default, and
+				which one you use depends on how advanced the package
+				management tasks are that you want to achieve. Depending on their
+				features, package managers are divided into the following categories:
+				</para>
+				<table>
+					<tgroup cols="2">
+						<colspec colname="col1" align="left"/>
+						<colspec colname="col2" align="left"/>
+						<tbody>
+							<row>
+								<entry><para><emphasis role="strong">Package
+								Managers</emphasis></para></entry>
+								<entry><para><emphasis role="strong">Package Manager
+								Features</emphasis></para></entry>
+							</row>
+							<row>
+								<entry><para>
+									<itemizedlist>
+										<listitem>
+										<para>Graphical package managers</para>
+											<itemizedlist>
+												<listitem>
+													<para>Synaptic Package Manager</para>
+												</listitem>
+												<listitem>
+													<para>Add/Remove Applications</para>
+												</listitem>
+											</itemizedlist>
+										</listitem>
+									</itemizedlist>
+								</para></entry>
+								<entry><para>
+									<itemizedlist>
+										<listitem>
+											<para>List packages according to several
+											user-friendly categories, such as Education,
+											Games and Graphics.</para>
+										</listitem>
+										<listitem>
+											<para>Guide you through installation and
+											access.</para>
+										</listitem>
+										<listitem>
+											<para>Use a graphical interface.</para>
+										</listitem>
+									</itemizedlist>
+								</para></entry>
+							</row>
+							<row>
+								<entry><para>
+									<itemizedlist>
+										<listitem>
+											<para>Command-line package manager</para>
+											<itemizedlist>
+												<listitem>
+													<para>apt-get</para>
+												</listitem>
+											</itemizedlist>
+										</listitem>
+									</itemizedlist>
+								</para></entry>
+								<entry><para>
+									<itemizedlist>
+										<listitem>
+											<para>Add and remove packages from
+											repositories.</para>
+										</listitem>
+										<listitem>
+											<para>Use a command-line interface.</para>
+										</listitem>
+									</itemizedlist>
+								</para></entry>
+							</row>
+						</tbody>
+					</tgroup>
+				</table>
+				<screen><para><emphasis role="strong">Note:</emphasis></para>
+				<para>If you open more than one package manager at the same time,
+				they may not work. Close all the package managers and open just
+				one.</para></screen>
+				<para>You can use any of the package managers based on your
+				preferred GUI, terminal or level of control over the package
+				management process. If you prefer to use the GUI over the
+				command-line interface, you may choose the graphical package
+				managers, Add/Remove Applications and Synaptic Package
+				Manager. </para>
+			</sect3>
+		</sect2>
+		<sect2>
+			<title>Using Add/Remove Applications</title>
+			<para>The Add/Remove tool is the easiest to use and will enable you to install and uninstall most
+			packages. You can search the package or packages you want to install
+			by simply searching a keyword such as 'e-mail' or by looking through the
+			given categories and clicking a button to start the installation.</para>
+			<screen><para><emphasis role="strong">Note:</emphasis></para>
+			<para>You need administrative access to use any package manager. Type the password for your
+			user name at the prompt. This means that applications can not be added / removed from your computer
+			without your knowledge (and password).</para></screen>
+			<para>The procedure to add or remove software by using Add/Remove
+			Applications is:
+			<orderedlist numeration="arabic">
+				<listitem>
+					<para>On the <emphasis role="strong">Applications</emphasis>
+					menu, click <emphasis role="strong">Add/Remove</emphasis>.
+					</para>
+					<figure>
+						<imageobject>
+							<imagedata fileref="./images/chapter7_Image_036.png" format="PNG"/>
+						</imageobject>
+					</figure>
+				</listitem>
+				<listitem>
+					<para>The <emphasis role="strong">Add/Remove Applications</emphasis>
+					dialogue box displays a list of applications. The
+					check boxes against the applications that are already installed are
+					pre-selected.</para>
+					<figure>
+						<imageobject>
+							<imagedata fileref="./images/chapter7_Image_037.png" format="PNG"/>
+						</imageobject>
+					</figure>
+				</listitem>
+				<listitem>
+					<para>If you know the name of the package to be installed, you
+					can type the name in the <emphasis role="strong">Search</emphasis>
+					box. Otherwise, you can click the appropriate
+					software category in the left pane and select the check box next to
+					the required package in the right pane.</para>
+					<screen><para><emphasis role="strong">Nice to Know:</emphasis></para>
+					<para>For more details about a package, click the package and view
+					the bottom pane.</para></screen>
+					<figure>
+						<imageobject>
+							<imagedata fileref="./images/chapter7_Image_038.png" format="PNG"/>
+						</imageobject>
+					</figure>
+				</listitem>
+				<listitem>
+					<para>A package can depend on other packages. If the package
+					you have selected is dependent on any other package, a dialogue
+					box notifying the packages that will be affected by the selected
+					package will appear. Click <emphasis role="strong">Install
+					All</emphasis>.</para>
+					<figure>
+						<imageobject>
+							<imagedata fileref="./images/chapter7_Image_039.png" format="PNG"/>
+						</imageobject>
+					</figure>
+				</listitem>
+				<listitem>
+					<para>When you have finished selecting the packages to be
+					installed or removed, click <emphasis role="strong">Apply</emphasis>
+					or <emphasis role="strong">OK</emphasis>.</para>
+					<figure>
+						<imageobject>
+							<imagedata fileref="./images/chapter7_Image_040.png" format="PNG"/>
+						</imageobject>
+					</figure>
+				</listitem>
+				<listitem>
+					<para>You must confirm your selection. Click
+					<emphasis role="strong">Apply</emphasis>.</para>
+					<figure>
+						<imageobject>
+							<imagedata fileref="./images/chapter7_Image_041.png" format="PNG"/>
+						</imageobject>
+					</figure>
+				</listitem>
+				<listitem>
+					<para>The progress indicator shows the status of the package
+					being installed or removed. After the changes are applied
+					successfully, you are notified.</para>
+					<figure>
+						<imageobject>
+							<imagedata fileref="./images/chapter7_Image_042.png" format="PNG"/>
+						</imageobject>
+					</figure>
+				</listitem>
+				<listitem>
+					<para>Click <emphasis role="strong">Close</emphasis>. The
+					package now installs.</para>
+					<figure>
+						<imageobject>
+							<imagedata fileref="./images/chapter7_Image_043.png" format="PNG"/>
+						</imageobject>
+					</figure>
+					<figure>
+						<imageobject>
+							<imagedata fileref="./images/chapter7_Image_044.png" format="PNG"/>
+						</imageobject>
+					</figure>
+				</listitem>
+				<listitem>
+					<para>Double-click the package in the <emphasis role="strong">
+					New Applications</emphasis> dialogue box to launch it. The
+					following figure shows <emphasis role="strong">AisleRiot Solitaire,</emphasis>
+					which has been installed by performing this
+					procedure.</para>
+					<figure>
+						<imageobject>
+							<imagedata fileref="./images/chapter7_Image_045.png" format="PNG"/>
+						</imageobject>
+					</figure>
+					<screen><para><emphasis role="strong">Note:</emphasis></para>
+					<para>After installing a package, you can open it by using a particular
+					menu based on its category.</para></screen>
+				</listitem>
+				<listitem>
+					<para>Click <emphasis role="strong">Close</emphasis> in the
+					<emphasis role="strong">New Applications</emphasis> dialogue
+					box.</para>
+				</listitem>
+			</orderedlist>
+			</para>
+		</sect2>
+		<sect2>
+			<title>Using Synaptic Package Manager</title>
+			<para>Add/Remove Applications does not allow you to install and
+			remove all advanced packages, such as Putty and PhP
+			programming language and Scribe. In such cases, you use Synaptic
+			Package Manager.</para>
+			<para>Synaptic Package Manager combines the point-and-click
+			simplicity of the GUI with the power of the apt-get command-line tool.
+			You can install, remove, configure or upgrade software packages,
+			browse, sort and search the list of available software packages, manage
+			repositories or upgrade the whole system. You can queue up a number
+			of actions before you execute them. Synaptic informs you about the
+			additional packages required by the software package you have chosen
+			as well as conflicts with other packages that are already installed on
+			your system. In addition, it presents more information such as package
+			status, origin and filters.</para>
+			<para>To add and remove any package using Synaptic Packager
+			Manager:
+			<orderedlist numeration="arabic">
+				<listitem>
+					<para>On the <emphasis role="strong">System</emphasis>
+					menu, point to <emphasis role="strong">Administration</emphasis>
+					and then click <emphasis role="strong">Synaptic
+					Package Manager</emphasis>.</para>
+					<figure>
+						<imageobject>
+							<imagedata fileref="./images/chapter7_Image_046.png" format="PNG"/>
+						</imageobject>
+					</figure>
+				</listitem>
+				<listitem>
+					<para>In the <emphasis role="strong">Synaptic Package Manager</emphasis>
+					dialogue box, you can select the package you need.
+					The left pane lists the categories, and the right pane lists the
+					packages. If you do not know the name of the package, select the
+					category in the left pane to filter the list of packages. You can then
+					select the check box next to the required package in the right pane.
+					</para>
+					<screen><para><emphasis role="strong">Note:</emphasis></para>
+					<para>If you want to view the installed and uninstalled
+					packages, click <emphasis role="strong">Status</emphasis>.
+					To know the source repository of the package, click
+					<emphasis role="strong">Origin</emphasis>. Click
+					<emphasis role="strong">Custom Filters</emphasis> if you
+					want to know the whether a package is broken or can be
+					upgraded.</para></screen>
+					<figure>
+						<imageobject>
+							<imagedata fileref="./images/chapter7_Image_047.png" format="PNG"/>
+						</imageobject>
+					</figure>
+				</listitem>
+				<listitem>
+					<para>If you know the name of the package, click
+					<emphasis role="strong">Search</emphasis>. The
+					<emphasis role="strong">Find</emphasis> dialogue box opens.
+					Type the name of the package in the <emphasis role="strong">
+					Search</emphasis> field and click <emphasis role="strong">
+					Search</emphasis>.</para>
+					<screen><para><emphasis role="strong">Note:</emphasis></para>
+					<para>To return to the list of categories after searching the packages
+					using <emphasis role="strong">Search</emphasis>, click
+					<emphasis role="strong">Sections</emphasis>.</para></screen>
+					<figure>
+						<imageobject>
+							<imagedata fileref="./images/chapter7_Image_048.png" format="PNG"/>
+						</imageobject>
+					</figure>
+				</listitem>
+				<listitem>
+					<para>Choose the action to be performed on the selected
+					package. Select the <emphasis role="strong">Mark for Installation</emphasis>
+					check box to install the package or select the
+					<emphasis role="strong">Mark for Removal</emphasis> check box
+					to remove it. If you change your mind, select the
+					<emphasis role="strong">Unmark</emphasis> check box.</para>
+					<figure>
+						<imageobject>
+							<imagedata fileref="./images/chapter7_Image_049.png" format="PNG"/>
+						</imageobject>
+					</figure>
+				</listitem>
+				<listitem>
+					<para>If the package that you choose to remove or install depends on other packages.
+					You are notified about the
+					dependencies. To continue making the required changes, click
+					<emphasis role="strong">Mark</emphasis>.</para>
+					<figure>
+						<imageobject>
+							<imagedata fileref="./images/chapter7_Image_050.png" format="PNG"/>
+						</imageobject>
+					</figure>
+				</listitem>
+				<listitem>
+					<para>To confirm that you want to make the marked changes,
+					click <emphasis role="strong">Apply</emphasis>.</para>
+					<figure>
+						<imageobject>
+							<imagedata fileref="./images/chapter7_Image_051.png" format="PNG"/>
+						</imageobject>
+					</figure>
+				</listitem>
+				<listitem>
+					<para>The <emphasis role="strong">Summary</emphasis>
+					dialogue box opens, prompting you for a final check before making
+					the marked changes. Click <emphasis role="strong">Apply</emphasis>
+					to continue with the changes.</para>
+					<figure>
+						<imageobject>
+							<imagedata fileref="./images/chapter7_Image_052.png" format="PNG"/>
+						</imageobject>
+					</figure>
+				</listitem>
+				<listitem>
+					<para>When all the marked changes are made, you are notified
+					about the changes applied. Click <emphasis role="strong">Close</emphasis>
+					to close Synaptic Package Manager.</para>
+					<figure>
+						<imageobject>
+							<imagedata fileref="./images/chapter7_Image_053.png" format="PNG"/>
+						</imageobject>
+					</figure>
+					<para>This step completes the procedure of installing packages by
+					using Synaptic Package Manager. You can access the installed
+					package by selecting a particular menu, depending on the category
+					of the package. The following figure shows abiword, which has been
+					installed using this procedure.</para>
+					<figure>
+						<imageobject>
+							<imagedata fileref="./images/chapter7_Image_054.png" format="PNG"/>
+						</imageobject>
+					</figure>
+				</listitem>
+			</orderedlist>
+			</para>
+		</sect2>
+		<sect2>
+			<title>Using Command-Line Package Managers</title>
+			<para>A command-line package manager uses the command-line
+			interface, Terminal, to add and remove packages. This interface is useful
+			if you prefer not to use or are unable to access a GUI. In addition, the
+			interface comes in handy because it works uniformly across all versions
+			of Ubuntu.</para>
+			<para><emphasis role="strong"><emphasis role="italic">Instructor Notes:</emphasis></emphasis></para>
+			<para><emphasis role="italic">Provide information about advanced
+			packaging tool (APT) and its basic features, and then explain
+			apt-get.</emphasis></para>
+			<para>APT manages the retrieval, configuration and installation of software
+			packages automatically, either from binary files or by compiling source code. 
+			It is a front-end for the package management system. It cam search for new packages, 
+			upgrade packages, install or remove packages and upgrade the whole system to a new release.
+			</para>
+			<para>Being a command-line tool, apt-get is used through
+			<emphasis role="strong">Terminal</emphasis>. On the
+			<emphasis role="strong">Applications</emphasis> menu, point to
+			<emphasis role="strong">Accessories</emphasis> and then click
+			<emphasis role="strong">Terminal.</emphasis>
+			</para>
+			<para><emphasis role="strong">Terminal</emphasis> opens.</para>
+			<figure>
+				<imageobject>
+					<imagedata fileref="./images/chapter7_Image_055.png" format="PNG"/>
+				</imageobject>
+			</figure>
+			<para>The syntax of the apt-get command is:</para>
+			<para><emphasis role="strong">sudo apt-get [option]</emphasis></para>
+			<para>Refer to the following table for the available options.</para>
+			<table>
+				<tgroup cols="2">
+					<colspec colname="col1" align="left"/>
+					<colspec colname="col2" align="left"/>
+					<tbody>
+						<row>
+							<entry><para><emphasis role="strong">Option</emphasis></para></entry>
+							<entry><para><emphasis role="strong">Meaning</emphasis></para></entry>
+						</row>
+						<row>
+							<entry><para>update</para></entry>
+							<entry><para>Updates the local list of packages</para></entry>
+						</row>
+						<row>
+							<entry><para>upgrade</para></entry>
+							<entry><para>Installs all available updates</para></entry>
+						</row>
+						<row>
+							<entry><para>install package_name</para></entry>
+							<entry><para>Installs the specified package</para></entry>
+						</row>
+						<row>
+							<entry><para>remove package_name</para></entry>
+							<entry><para>Removes the specified package</para></entry>
+						</row>
+						<row>
+							<entry><para>help</para></entry>
+							<entry><para>Lists other apt commands and options</para></entry>
+						</row>
+					</tbody>
+				</tgroup>
+			</table>
+			<para><emphasis role="strong">Examples:</emphasis></para>
+			<itemizedlist>
+				<listitem>
+					<para>Updating the local list of packages</para>
+					<screen><para><emphasis role="strong">Note:</emphasis></para>
+					<para>You must update the list of packages periodically to make sure
+					that your source list is up-to-date. This is the equivalent of
+					'reload' in Synaptic or 'check for updates' in Windows.</para></screen>
+					<screen><para>$ sudo apt-get update</para></screen>
+					<screen><para><emphasis role="strong">Note:</emphasis></para>
+					<para>The output shown is indicative and may vary depending on what
+					is already installed on your system.</para></screen>
+					<para><emphasis role="strong"><emphasis role="italic">Instructor Notes:</emphasis></emphasis></para>
+					<para><emphasis role="italic">The output will vary according to the
+					state of your /etc/apt/sources.list file.</emphasis></para>
+					<para><emphasis role="strong">Output</emphasis></para>
+					<screen><para>0% [Working]</para>
+					<para>Get:1 http://archive.canonical.com feisty-commercial
+					Release.gpg [191B]</para>
+					<para>Ign http://archive.canonical.com feisty-commercial/main
+					Translation-en_IN</para>
+					<para>Get:2 http://in.archive.ubuntu.com feisty Release.gpg
+					[191B]</para>
+					<para>Ign http://in.archive.ubuntu.com feisty/restricted
+					Translation-en_IN</para>
+					<para>Get:3 http://security.ubuntu.com feisty-security
+					Release.gpg [191B]</para>
+					<para>Ign http://security.ubuntu.com feisty-security/restricted
+					Translation-en_IN</para>
+					<para>Ign http://in.archive.ubuntu.com feisty/main
+					Translation-en_IN</para>
+					<para>Ign http://in.archive.ubuntu.com feisty/universe
+					Translation-en_IN</para>
+					<para>Ign http://in.archive.ubuntu.com feisty/multiverse
+					Translation-en_IN</para>
+					<para>Hit http://archive.canonical.com feisty-commercial
+					Release</para>
+					<para>Ign http://security.ubuntu.com feisty-security/main
+					Translation-en_IN</para>
+					<para>Ign http://security.ubuntu.com feisty-security/universe
+					Translation-en_IN</para>
+					<para>Ign http://security.ubuntu.com feisty-security/multiverse
+					Translation-en_IN</para>
+					<para>Get:4 http://security.ubuntu.com feisty-security Release
+					[50.9kB]</para>
+					<para>Hit http://archive.canonical.com feisty-commercial/main
+					Packages</para>
+					<para>Ign http://in.archive.ubuntu.com feisty/multiverse
+					Translation-en_IN</para>
+					<para>Ign http://in.archive.ubuntu.com feisty/universe
+					Translation-en_IN</para>
+					<para>Get:5 http://in.archive.ubuntu.com feisty-updates
+					Release.gpg [191B]</para>
+					<para>Ign http://in.archive.ubuntu.com feisty-updates/restricted
+					Translation-en_IN</para>
+					<para>Ign http://in.archive.ubuntu.com feisty-updates/main
+					Translation-en_IN</para>
+					<para>Hit http://in.archive.ubuntu.com feisty Release</para>
+					<para>Get:6 http://in.archive.ubuntu.com feisty-updates Release
+					[32.4kB]</para>
+					<para>Get:7 http://security.ubuntu.com feisty-security/restricted
+					Packages [6360B]</para>
+					<para>Get:8 http://security.ubuntu.com feisty-security/main
+					Packages [77.6kB]</para>
+					<para>Get:9 http://security.ubuntu.com feisty-security/restricted
+					Sources [953B]</para>
+					<para>Get:10 http://security.ubuntu.com feisty-security/universe
+					Packages [32.8kB]</para>
+					<para>Get:11 http://security.ubuntu.com feisty-security/universe
+					Sources [4602B]</para>
+					<para>Get:12 http://security.ubuntu.com feisty-security/multiverse
+					Packages [6101B]</para>
+					<para>Get:13 http://security.ubuntu.com feisty-security/multiverse
+					Sources [1052B]</para>
+					<para>Get:14 http://in.archive.ubuntu.com feisty/restricted
+					Packages [7628B]</para>
+					<para>Get:15 http://in.archive.ubuntu.com feisty/main Packages
+					[1007kB]</para>
+					<para>Get:16 http://in.archive.ubuntu.com feisty/restricted Sources
+					[1710B]</para>
+					<para>Hit http://in.archive.ubuntu.com feisty/universe
+					Packages</para>
+					<para>Get:17 http://in.archive.ubuntu.com feisty/universe Sources
+					[1131kB]</para>
+					<para>Hit http://in.archive.ubuntu.com feisty/multiverse
+					Packages</para>
+					<para>Get:18 http://in.archive.ubuntu.com feisty/multiverse Sources
+					[51.3kB]</para>
+					<para>Hit http://in.archive.ubuntu.com feisty/multiverse
+					Packages</para>
+					<para>Hit http://in.archive.ubuntu.com feisty/universe
+					Packages</para>
+					<para>Get:19 http://in.archive.ubuntu.com feisty-updates/restricted
+					Packages [14B]</para>
+					<para>Get:20 http://in.archive.ubuntu.com feisty-updates/main
+					Packages [55.3kB]</para>
+					<para>Get:21 http://in.archive.ubuntu.com feisty-updates/restricted
+					Sources [14B]</para>
+					<para>Fetched 2467kB in 19s (129kB/s)</para>
+					<para>Reading package lists... Done</para></screen>
+				</listitem>
+				<listitem>
+					<para>Installing the latest versions of installed packages</para>
+					<screen><para><emphasis role="strong">Note:</emphasis></para>
+					<para>Installing the latest version of installed packages, upgrades all
+					installed packages. This is the equivalent of 'mark all upgrades'
+					and 'apply' in Synaptic in one step.</para></screen>
+					<screen><para>$ sudo apt-get upgrade</para></screen>
+					<para><emphasis role="strong">Output</emphasis></para>
+					<screen><para>Reading package lists... Done</para>
+					<para>Building dependency tree</para>
+					<para>Reading state information... Done</para>
+					<para>0 upgraded, 0 newly installed, 0 to remove and 0 not
+					upgraded.</para></screen>
+				</listitem>
+				<listitem>
+					<para>Installing a package such as 3dchess</para>
+					<screen><para>$ sudo apt-get install 3dchess</para></screen>
+					<para><emphasis role="strong">Output</emphasis></para>
+					<screen><para>Reading package lists... Done</para>
+					<para>Building dependency tree      </para>
+					<para>Reading state information... Done</para>
+					<para>The following NEW packages will be installed:</para>
+					<para>3dchess</para>
+					<para>0 upgraded, 1 newly installed, 0 to remove and 0 not
+					upgraded.</para>
+					<para>Need to get 0B/32.4kB of archives.</para>
+					<para>After unpacking 135kB of additional disk space will be
+					used.</para>
+					<para>Selecting previously deselected package 3dchess.</para>
+					<para>(Reading database ... 127215 files and directories
+					currently installed.)</para>
+					<para>Unpacking 3dchess (from
+					.../3dchess_0.8.1-12_i386.deb) ...</para>
+					<para>Setting up 3dchess (0.8.1-12) ...</para></screen>
+				</listitem>
+				<listitem>
+					<para>Removing a package such as 3dchess</para>
+					<screen><para>$ sudo apt-get remove 3dchess</para></screen>
+					<para><emphasis role="strong">Output</emphasis></para>
+					<screen><para>Reading package lists... Done</para>
+					<para>Building dependency tree      </para>
+					<para>Reading state information... Done</para>
+					<para>The following packages were automatically installed
+					and are no longer required:</para>
+					<para>xaw3dg</para>
+					<para>Use 'apt-get autoremove' to remove them.</para>
+					<para>The following packages will be REMOVED:</para>
+					<para>3dchess</para>
+					<para>0 upgraded, 0 newly installed, 1 to remove and 0 not
+					upgraded.</para>
+					<para>Need to get 0B of archives.</para>
+					<para>After unpacking 135kB disk space will be freed.</para>
+					<para>Do you want to continue [Y/n]? y</para>
+					<para>(Reading database ... 127225 files and directories
+					currently installed.)</para>
+					<para>Removing 3dchess ...</para></screen>
+				</listitem>
+			</itemizedlist>
+		</sect2>
+		<sect2>
+			<title>Installing a Single Package File</title>
+			<para>The preferred method of installing programs is by using package
+			managers. If some packages or files are not available, you can download
+			and install them from Web sites. These files are associated with the
+			package managers of specific Linux distributions and are referred to as
+			single package files. Examples are Debian package files-.deb
+			files and tarballs-.tar files.
+			</para>
+			<screen><para><emphasis role="strong">Note:</emphasis></para>
+			<para>You should download files that are not present in Ubuntu archives only
+			from a safe source.</para></screen>
+			<para>In this topic, you will learn about two major types of single
+			package files:</para>
+			<itemizedlist>
+				<listitem>
+					<para>Debian Package files: These files are associated with
+					Ubuntu and have the .deb suffix.</para>
+				</listitem>
+				<listitem>
+					<para>Tarballs: Zipped archive files that contain the source code of
+					a program. This source code needs to be compiled before use.
+					When you compile a tarball, its source code converts into an
+					executable file. Gunzip and bunzip are the most commonly used
+					tarballs and are available with the tar.gz and tar.bz2 suffixes.</para>
+				</listitem>
+			</itemizedlist>
+			<screen><para><emphasis role="strong">Note:</emphasis></para>
+			<para>It is not guaranteed that these files will be compatible with your
+			system and you will not receive security updates if you install these
+			files. Therefore, always use a native Ubuntu package of the
+			application available through a package manager, if available.</para></screen>
+			<sect3>
+				<title>Installing/Uninstalling Debian Packages</title>
+				<para>Debian packages are installed and uninstalled using the
+				Debian package manager (dpkg). It is a command-line package
+				manager that helps install, remove and provide information about
+				Debian packages.</para>
+				<para>To install a Debian package, use the sudo command whose
+				syntax is:</para>
+				<para><emphasis role="strong">sudo dpkg -i [package_file]</emphasis></para>
+				<para>where package_file.deb is the name of the package.</para>
+				<para>To uninstall a Debian package, use the sudo command whose
+				syntax is:</para>
+				<para><emphasis role="strong">sudo dpkg -r [package_file]</emphasis></para>
+				<screen><para><emphasis role="strong">Note:</emphasis></para>
+				<para>Replace package_file.deb with the name of the Debian package.</para></screen>
+				<para><emphasis role="strong">Examples:</emphasis></para>
+				<para>Installing a Debian package:
+				<orderedlist numeration="arabic">
+					<listitem>
+						<para>Download the package flash
+						<emphasis role="strong">plugin_9.0.48.0-1_i386.deb</emphasis>.
+						As this package is not available for download on
+						a specific Web site, you can download it from
+						<emphasis role="strong">allan316.blogspod.com</emphasis>.</para>
+						<para><emphasis role="strong"><emphasis role="italic">Instructor Notes:</emphasis></emphasis></para>
+						<para><emphasis role="italic">You can download the RPM file
+						flash-plug-in-9.0.48.0-release.i386.rpm for this package from
+						<ulink url="http://www.adobe.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash">http://www.adobe.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash</ulink>
+						You can then convert this file into .deb format and
+						install it.</emphasis></para>
+					</listitem>
+					<listitem>
+						<para>On the <emphasis role="strong">Applications</emphasis>
+						menu, point to <emphasis role="strong">
+						Accessories</emphasis> and then click
+						<emphasis role="strong">Terminal</emphasis>.</para>
+						<screen><para><emphasis role="strong">Note:</emphasis></para>
+						<para>Before you issue the command to install a package from a
+						local file system, change to the required directory by using
+						the cd directory command.</para></screen>
+					</listitem>
+					<listitem>
+						<para>To install the package, type <emphasis role="strong">
+						Terminal:</emphasis></para>
+						<screen><para>$ sudo dpkg -i flash-plugin_9.0.48.0-1_i386.deb</para>
+						</screen>
+						<para>The output will be:</para>
+						<screen><para>tar: ./postrm: time stamp 2007-09-07 14:59:52 is
+						41042.838936106 s in the future</para>
+						<para>tar: ./prerm: time stamp 2007-09-07 14:59:52 is
+						41042.822165746 s in the future</para>
+						<para>tar: ./md5sums: time stamp 2007-09-07 14:59:58 is
+						41048.821820061 s in the future</para>
+						<para>tar: ./postinst: time stamp 2007-09-07 14:59:52 is
+						41042.821555692 s in the future</para>
+						<para>tar: ./control: time stamp 2007-09-07 14:59:58 is
+						41048.821008073 s in the future</para>
+						<para>tar: ./shlibs: time stamp 2007-09-07 14:59:52 is
+						41042.820764139 s in the future</para>
+						<para>tar: .: time stamp 2007-09-07 14:59:58 is
+						41048.820494483 s in the future</para>
+						<para>(Reading database ... 124324 files and directories
+						currently installed.)</para>
+						<para>Preparing to replace flash-plugin 9.0.48.0-1 (using
+						flash-plugin_9.0.48.0-1_i386.deb) ...</para>
+						<para>Unpacking replacement flash-plugin ...</para>
+						<para>Setting up flash-plugin (9.0.48.0-1) ...</para></screen>
+						<para>To uninstall the package in <emphasis role="strong">
+						Terminal</emphasis>, type:</para>
+						<screen><para>$ sudo dpkg -r flash-plugin</para></screen>
+						<screen><para><emphasis role="strong">Note:</emphasis></para>
+						<para>While uninstallling a Debian package, you must specify the
+						name of the package, and not quote the names of files
+						associated with the package.</para></screen>
+						<para>The output will be:</para>
+						<screen><para>(Reading database ... 124323 files and directories
+						currently installed.)</para>
+						<para>Removing flash-plugin ...</para></screen>
+					</listitem>
+				</orderedlist>
+				</para>
+			</sect3>
+			<sect3>
+				<title>Installing/Uninstalling Tarballs</title>
+				<para>If there is no native Ubuntu package available in any of the
+				Ubuntu repositories, you can use the command line to install or
+				uninstall the tarball file. First, you need to uncompress and extract the
+				tarball. If it is a .tgz or .tar.gz file, use the following syntax:</para>
+				<para><emphasis role="strong">tar -xzvf [tarball_name]</emphasis></para>
+				<screen><para><emphasis role="strong">Note:</emphasis></para>
+				<para>Replace tarball_name with the name of the tarball package file.</para></screen>
+				<para><emphasis role="strong">Example:</emphasis></para>
+				<para>Installing a tarball:
+				<orderedlist numeration="arabic">
+					<listitem>
+						<para>Download the monkey-0.9.1.tar.gz package from
+						<ulink url="http://monkeyd.sf.net/versions">http://monkeyd.sf.net/versions</ulink>.</para>
+					</listitem>
+					<listitem>
+						<para>On the <emphasis role="strong">Applications menu</emphasis>,
+						point to <emphasis role="strong">Accessories</emphasis>
+						and then click <emphasis role="strong">Terminal</emphasis>.</para>
+					</listitem>
+					<listitem>
+						<para>To untar the package, type the tar command Terminal, as
+						follows:</para>
+						<screen><para>$ tar -zxvf monkey-0.9.1.tar.gz</para></screen>
+						<para><emphasis role="strong">Output</emphasis></para>
+						<screen><para>monkey-0.9.1/bin/</para>
+						<para>monkey-0.9.1/conf/monkey.mime</para>
+						<para>monkey-0.9.1/INSTALL</para>
+						<para>monkey-0.9.1/MODULES</para>
+						<para>monkey-0.9.1/README</para>
+						<para>monkey-0.9.1/configure</para>
+						<para>monkey-0.9.1/lang/en/</para>
+						<para>monkey-0.9.1/lang/en/INSTALL</para>
+						<para>monkey-0.9.1/lang/en/README</para>
+						<para>monkey-0.9.1/lang/es/monkey.deny</para>
+						<para>monkey-0.9.1/src/config.c</para>
+						<para>monkey-0.9.1/src/extras/mod_mysql/configure</para>
+						<para>monkey-0.9.1/src/logfile.c</para>
+						<para>monkey-0.9.1/src/include/config.h</para>
+						<para>monkey-0.9.1/ChangeLog.txt</para></screen>
+					</listitem>
+					<listitem>
+						<para>The <emphasis role="strong">monkey-0.9.1</emphasis>
+						package will be extracted from the tarball. To check the
+						compatibility of the source code of the package, run the
+						./configure command in <emphasis role="strong">Terminal</emphasis>
+						Type:</para>
+						<screen><para>$ cd monkey-0.9.1</para>
+						<para>$./configure</para></screen>
+						<para><emphasis role="strong">Output</emphasis></para>
+						<screen><para>********************************************</para>
+						<para>Monkey HTTP Daemon v0.9.1     </para>
+						<para>*         (http://monkeyd.sf.net)          *</para>
+						<para>* ---------------------------------------- *</para>
+						<para>*  We need beta testers, developers and    *</para>
+						<para>*  translators!, if u want help to this    *</para>
+						<para>*  project, email me :                     *</para>
+						<para>*                                          *</para>
+						<para>*      edsiper@users.sourceforge.net       *</para>
+						<para>*                                          *</para>
+						<para>*         Thanks for use Monkey!!!         *</para>
+						<para>*                                          *</para>
+						<para>********************************************</para>
+						<para>System   : Linux 2.6.20-16-generic</para>
+						<para>+ Choose configure language:</para>
+						<para> -> [en] English</para>
+						<para> -> [es] Spanish</para>
+						<para> -> [fr] French</para>
+						<para> -> Option (default English) : en</para>
+						<para>Language : en</para>
+						<para>+ Checking for Pthreads lib..........yes</para>
+						<para>+ Creating conf/monkey.conf</para>
+						<para>+ Creating Makefile</para>
+						<para>+ Creating src/Makefile</para>
+						<para>+ Creating src/include/info.h</para>
+						<para>+ Creating banana script</para>
+						<para>Configuration done, just type 'make'</para></screen>
+						<para>While configuring, you need to choose a language. Type
+						en. Your language will be set as English. The other two
+						languages available are Spanish and French.</para>
+					</listitem>
+					<listitem>
+						<para>To install the package, type as follows:</para>
+						<screen><para>$ make</para></screen>
+						<para><emphasis role="strong">Output</emphasis></para>
+						<screen><para>make[1]: Entering directory
+						'/home/williamw/monkey-0.9.1/src'</para>
+						<para>gcc -c  -g -O2 -Wall -I./include monkey.c</para>
+						<para>monkey.c: In function ‘main’:</para>
+						<para>monkey.c:282: warning: pointer targets in passing
+						argument 3 of ‘accept’ differ in signedness</para>
+						<para>gcc -c  -g -O2 -Wall -I./include method.c</para>
+						<para>gcc -c  -g -O2 -Wall -I./include mimetype.c</para>
+						<para>gcc -c  -g -O2 -Wall -I./include request.c</para>
+						<para>gcc -c  -g -O2 -Wall -I./include vhost.c</para>
+						<para>gcc -c  -g -O2 -Wall -I./include config.c</para>
+						<para>gcc -c  -g -O2 -Wall -I./include logfile.c</para>
+						<para>gcc -c  -g -O2 -Wall -I./include signals.c</para>
+						<para>gcc -c  -g -O2 -Wall -I./include dir_html.c</para>
+						<para>gcc -c  -g -O2 -Wall -I./include deny.c</para>
+						<para>gcc -c  -g -O2 -Wall -I./include cgi.c</para>
+						<para>gcc -c  -g -O2 -Wall -I./include user.c</para>
+						<para>gcc -c  -g -O2 -Wall -I./include utils.c</para>
+						<para>gcc -c  -g -O2 -Wall -I./include process.c</para>
+						<para>gcc -c  -g -O2 -Wall -I./include chars.c</para>
+						<para>gcc  -g -O2 -Wall -lpthread    -o ../bin/monkey
+						monkey.o method.o mimetype.o request.o vhost.o config.o
+						logfile.o signals.o dir_html.o deny.o cgi.o user.o utils.o
+						process.o chars.o </para>
+						<para>strip ../bin/monkey</para>
+						<para>make[1]: Leaving directory
+						'/home/williamw/monkey-0.9.1/src'</para>
+						<para>Running Monkey :</para>
+						<para>----------------</para>
+						<para># /home/williamw/monkey-0.9.1/bin/monkey</para>
+						<para>For more help use '-h' option.</para></screen>
+						<screen><para><emphasis role="strong">Note:</emphasis></para>
+						<para>To compile programs, you require some packages that are not
+						installed by default. To install these packages, you need to
+						install the build-essential package. You can install this
+						package by specifying the following command in
+						<emphasis role="strong">Terminal:</emphasis></para>
+						<para>$sudo apt-get install build-essential</para></screen>
+						<para>There is no recommended way to uninstall tarballs. You
+						can remove them by simply deleting them.</para>
+						<para><emphasis role="strong"><emphasis role="italic">Instructor Notes:</emphasis></emphasis></para>
+						<para><emphasis role="italic">Tarballs are used indirectly in
+						package systems. For example, a Debian package uses
+						sources from a tarball, unpacks them, builds binary programs
+						and libraries from the sources and stores the result in an
+						archive. With this intermediate step, it becomes possible to
+						keep track of the files installed on the system. Consequently,
+						when uninstalling a package, it is possible to remove all files
+						related to it.</emphasis></para>
+					</listitem>
+				</orderedlist>
+				</para>
+			</sect3>
+		</sect2>
+		<sect2>
+			<title>Software Repositories (A software bank)</title>
+			<para>A software repository is a bank of software from where you can
+			download and install packages (applications) over the Internet. The Ubuntu software
+			repository contains thousands of packages that are freely available for
+			installation over the Internet. It is easy to install these packages because
+			they are specially built for Ubuntu.</para>
+			<sect3>
+				<title>Software Repository Categories</title>
+				<para>Based on the level of support that software development teams
+				provide for a program and the level of compliance the program has with
+				the free software philosophy, Ubuntu repositories are categorised into
+				four groups:</para>
+				<itemizedlist>
+					<listitem>
+						<para><emphasis role="strong">Main</emphasis></para>
+					</listitem>
+					<listitem>
+						<para><emphasis role="strong">Restricted</emphasis></para>
+					</listitem>
+					<listitem>
+						<para><emphasis role="strong">Universe</emphasis></para>
+					</listitem>
+					<listitem>
+						<para><emphasis role="strong">Multiverse</emphasis></para>
+					</listitem>
+				</itemizedlist>
+				<para><emphasis role="strong">The Main Component</emphasis></para>
+				<para>The main component contains software packages that are free
+				and fully supported by the Canonical team. These packages comply
+				with the free software philosophy. The packages in the main
+				component are available by default while installing Ubuntu. For all
+				packages in the main component, security updates and technical
+				support are available free of cost. Realplay, abiword and
+				vmware-server are some of the packages found in the main
+				component.</para>
+				<para><emphasis role="strong">The Restricted Component</emphasis></para>
+				<para>The restricted component consists of packages for commonly
+				used software that is supported by the Ubuntu team but not available
+				under a completely free license. Binary drivers produced by some
+				video card vendors are an example of packages in the restricted
+				component. Packages in this component are also available with the
+				standard Ubuntu installation CD, but they can be easily removed.
+				</para>
+				<para><emphasis role="strong">The Universe Component</emphasis></para>
+				<para>The universe component includes thousands of pieces of
+				packages for software that is not present officially in Ubuntu. The
+				software is available under a variety of less open licenses, all built
+				automatically from a variety of public sources. This component is
+				available only over the Internet. It is a snapshot of the free,
+				open-source and Linux world.</para>
+				<para>All the packages in this component are compiled against the
+				libraries that form part of the main component and should install and
+				work correctly. However, there is no guarantee of security fixes and
+				support for these packages. The packages in this component are only
+				community-maintained. For
+				any type of information about these packages, users need to refer to
+				the developers of the package or to an online help forum.</para>
+				<para><emphasis role="strong"><emphasis role="italic">Instructor Notes:</emphasis></emphasis></para>
+				<para><emphasis role="italic">It is risky to use packages from the
+				universe component, especially because the availability of security
+				updates is not guaranteed.</emphasis></para>
+				<para><emphasis role="strong">The Multiverse Component</emphasis></para>
+				<para>The multiverse component contains packages for non-free
+				software, which means that the licensing requirements of this
+				software do not meet the license policy of Ubuntu's main component.
+				It is the users' responsibility to verify their rights to use this software
+				and comply with its licensing terms. The packages in this component
+				do not come with any support or security updates. Examples of these
+				packages include mplayer and .....</para>
+				<para><emphasis role="strong"><emphasis role="italic">Instructor Notes:</emphasis></emphasis></para>
+				<para><emphasis role="italic">Non-free software may not be permitted in
+				some jurisdictions. When you are installing a package from a
+				multiverse component, verify the laws of the concerned country.</emphasis></para>
+			</sect3>
+			<sect3>
+				<title>Adding Repositories (More banks)</title>
+				<para>Many packages are not available in default Ubuntu
+				repositories. These packages can either be installed from other
+				Ubuntu repositories or from third-party software. To use the packages
+				present in third-party software, you need to add the software. Perform
+				the following steps to add the third-party software:
+				<orderedlist numeration="arabic">
+					<listitem>
+						<para>On the <emphasis role="strong">System</emphasis>
+						menu, point to <emphasis role="strong">Administration</emphasis>
+						and then click <emphasis role="strong">Software
+						Sources</emphasis>.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_056.png" format="PNG"/>
+							</imageobject>
+						</figure>
+						<para>The <emphasis role="strong">Software Sources</emphasis>
+						dialogue box opens. The software sources for
+						Ubuntu are selected by default.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_057.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+					<listitem>
+						<para>To add a repository from the third party, click
+						<emphasis role="strong">the Third-Party Software</emphasis>
+						tab and then click <emphasis role="strong">Add</emphasis>.
+						</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_058.png" format="PNG"/>
+							</imageobject>
+						</figure>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_059.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+					<listitem>
+						<para>Type the APT line for the repository you want to add as a
+						source. To access the Debian main repositories, type
+						<emphasis role="strong">deb
+						<ulink url="http://ftp.debian.orgs">http://ftp.debian.orgs</ulink>
+						sarge main</emphasis> in the
+						<emphasis role="strong">APT line</emphasis> box. Click
+						<emphasis role="strong">Add Source</emphasis>.</para>
+						<screen><para><emphasis role="strong">Note:</emphasis></para>
+						<para>The APT line should include the type, location and
+						components of a repository.</para></screen>
+					</listitem>
+					<listitem>
+						<para>Click <emphasis role="strong">Close</emphasis> to
+						save changes. The repository specified in the APT line is added
+						to the third-party software box.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_060.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+					<listitem>
+						<para>With the addition of an extra repository, you will be
+						prompted to update your software. Click
+						<emphasis role="strong">Reload</emphasis> to install all
+						available updates.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_061.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+					<listitem>
+						<para>The progress indicator shows the status of package being
+						installed or removed.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_062.png" format="PNG"/>
+							</imageobject>
+						</figure>
+						<para>You can authenticate your downloads from the
+						<emphasis role="strong">Authentication</emphasis> tab in the
+						<emphasis role="strong">Software Sources</emphasis>
+						dialogue box. When you do not authenticate your downloads,
+						your computer may show the error shown below after
+						downloading the package information. This error can be ignored.
+						To authenticate the downloading process, you need to import
+						the gpg key, which is different for every repository. Click
+						<emphasis role="strong">Close</emphasis> in the dialogue
+						box showing the error. This step will end the process of adding
+						extra repositories and updating package information.</para>
+						<figure>
+							<imageobject>
+								<imagedata fileref="./images/chapter7_Image_063.png" format="PNG"/>
+							</imageobject>
+						</figure>
+					</listitem>
+				</orderedlist>
+				</para>
+			</sect3>
+		</sect2>
+		<sect2>
+			<title>Lesson Summary</title>
+			<para>In this lesson, you learnt that:
+			<orderedlist numeration="arabic">
+				<listitem>
+					<para>GNOME is the default graphical interface or desktop for
+					Ubuntu. You can use the <emphasis role="strong">Preferences</emphasis>
+					option on the <emphasis role="strong">System</emphasis>
+					menu to customise the GNOMe desktop for look and
+					feel.</para>
+				</listitem>
+				<listitem>
+					<para>You can manage your file system using the Nautilus file
+					manager. Use spatial mode to open each folder in a separate
+					window and view the content of various folders simultaneously. Use
+					browser mode to open folders in a single window.</para>
+				</listitem>
+				<listitem>
+					<para>Add/Remove Applications is the easiest tool to install or
+					uninstall packages.</para>
+				</listitem>
+				<listitem>
+					<para>You can use Synaptic Package Manager to install or
+					uninstall advanced applications that cannot be installed using
+					Add/Remove.</para>
+				</listitem>
+				<listitem>
+					<para>The command-line package manager, apt-get, works
+					uniformly across all versions of Ubuntu. Use it to install or uninstall
+					packages if you are comfortable using the Terminal command-line
+					interface or are unable to access a GUI.</para>
+				</listitem>
+				<listitem>
+					<para>To install a package that is not available in the Ubuntu
+					archives, you can download and install it from Web sites. These
+					files are associated with the package managers of specific Linux
+					distribution and are referred to as single package files.</para>
+				</listitem>
+				<listitem>
+					<para>Tarballs are zipped archive files that contain the source
+					code of a program. You can use the command line to install or
+					uninstall the tarball file.</para>
+				</listitem>
+				<listitem>
+					<para>You can easily install packages over the Internet from
+					Ubuntu software repositories because the packages are specially
+					built and checked for Ubuntu.</para>
+				</listitem>
+			</orderedlist>
+			</para>
+		</sect2>
+		<sect2>
+			<title>Review Exercise</title>
+			<para><emphasis role="strong">Question 1</emphasis></para>
+			<para>What is the default desktop for Ubuntu?</para>
+			<para><emphasis role="strong">Answer 1</emphasis></para>
+			<para>GNOME is the default desktop for Ubuntu.</para>
+			<para><emphasis role="strong">Question 2</emphasis></para>
+			<para>From which Web site can you download additional Ubuntu
+			wallpapers and themes?</para>
+			<para><emphasis role="strong">Answer 2</emphasis></para>
+			<para>You can download additional wallpapers and themes from the
+			Web site <ulink url="http://art.gnome.org/">http://art.gnome.org/</ulink>.
+			</para>
+			<para><emphasis role="strong">Question 3</emphasis></para>
+			<para>Mention any three features of the Nautilus file manager.</para>
+			<para><emphasis role="strong">Answer 3</emphasis></para>
+			<para>Three features of the Nautilus file manager are:</para>
+			<itemizedlist>
+				<listitem>
+					<para>Creating and displaying folders and documents</para>
+				</listitem>
+				<listitem>
+					<para>Searching and managing files</para>
+				</listitem>
+				<listitem>
+					<para>Navigating using two modes, browser and spatial</para>
+				</listitem>
+			</itemizedlist>
+			<para><emphasis role="strong">Question 4</emphasis></para>
+			<para>Which file manager supports the KDE environment?</para>
+			<para><emphasis role="strong">Answer 4</emphasis></para>
+			<para>The Konqueror file manager supports the KDE environment.</para>
+			<para><emphasis role="strong">Question 5</emphasis></para>
+			<para>What is a package manager?</para>
+			<para><emphasis role="strong">Answer 5</emphasis></para>
+			<para>A package manager is a program that helps add or remove
+			packages in Ubuntu.</para>
+			<para><emphasis role="strong">Question 6</emphasis></para>
+			<para>Differentiate between a graphical package manager and a
+			command-line package manager. Provide examples of each.</para>
+			<para><emphasis role="strong">Answer 6</emphasis></para>
+			<para>To add and remove packages, a graphical package manager uses
+			the graphical interface while a command-line package manager uses the
+			command-line interface.</para>
+			<para>Add/Remove Applications is a graphical package manager and
+			apt-get is a command-line package manager.</para>
+			<para><emphasis role="strong">Question 7</emphasis></para>
+			<para>What is a single package file?</para>
+			<para><emphasis role="strong">Answer 7</emphasis></para>
+			<para>The package files associated with the package manager of a
+			specific distribution are known as single package files.</para>
+			<para><emphasis role="strong">Question 8</emphasis></para>
+			<para>Software that is not licensed under Ubuntu's main component
+			licensing policy is referred to as _______________.</para>
+			<para><emphasis role="strong">Answer 8</emphasis></para>
+			<para>Software that is not licensed under Ubuntu's main component
+			licensing policy is referred to as non-free software.</para>
+			</sect2>
+			<sect2>
+			<title>Lab Exercise</title>
+			<para><emphasis role="strong"><emphasis role="italic">Instructor Notes:</emphasis></emphasis></para>
+			<para><emphasis role="italic">Explain to the students the purpose of each
+			application. xpdf is a suite of tools for portable document format (pdf).
+			It is a small and efficient package for viewing pdf files. This package
+			supports standard X fonts, true type fonts and type1 fonts. Gnumeric
+			is a stand-alone spreadsheet application that interoperates well with
+			other spreadsheets. 7Zip is a package with high compression ratios.</emphasis></para>
+			<para><emphasis role="strong">Exercise 1</emphasis></para>
+			<para>You have installed Ubuntu 7.10 on your personal computer. You
+			want to view your pdf files, use an easy-to use spreadsheet application
+			for creating your daily tasks and archive your files. Install the following
+			packages:</para>
+			<para>a) xpdf</para>
+			<para>b) gnumeric</para>
+			<para>c) 7zip</para>
+			<para>a) Installing xpdf using Add/Remove Applications:
+			<orderedlist numeration="arabic">
+				<listitem>
+					<para>On the <emphasis role="strong">Application</emphasis>
+					menu, click <emphasis role="strong">Add/Remove</emphasis>.
+					The <emphasis role="strong">Add/Remove</emphasis> dialogue
+					box opens.</para>
+				</listitem>
+				<listitem>
+					<para>In the <emphasis role="strong">Search</emphasis> box,
+					type <emphasis role="strong">xpdf</emphasis>.</para>
+				</listitem>
+				<listitem>
+					<para>Select the check box next to
+					<emphasis role="strong">xpdf</emphasis>.</para>
+				</listitem>
+				<listitem>
+					<para>Click <emphasis role="strong">Apply</emphasis>.</para>
+				</listitem>
+				<listitem>
+					<para>Click <emphasis role="strong">Apply</emphasis> or
+					<emphasis role="strong">OK</emphasis> to make the changes.
+					</para>
+				</listitem>
+				<listitem>
+					<para>In the <emphasis role="strong">Changes</emphasis>
+						<emphasis role="strong">Applied</emphasis> dialogue box,
+						click <emphasis role="strong">Close</emphasis>.</para>
+				</listitem>
+				<listitem>
+					<para>In the <emphasis role="strong">New Applications</emphasis>
+					dialogue box, click <emphasis role="strong">Close</emphasis>.</para>
+				</listitem>
+			</orderedlist>
+			</para>
+			<para>b) Installing gnumeric from Synaptic:
+			<orderedlist numeration="arabic">
+				<listitem>
+					<para>On the <emphasis role="strong">System</emphasis>
+					menu, point to <emphasis role="strong">Administration</emphasis>
+					and then click <emphasis role="strong">Synaptic
+					Package Manager</emphasis>. The <emphasis role="strong">
+					Synaptic Package Manager</emphasis> dialogue box opens.
+					</para>
+				</listitem>
+				<listitem>
+					<para>Click <emphasis role="strong">Search</emphasis> to find
+					gnumeric and select the <emphasis role="strong">gnumeric</emphasis>
+					check box.</para>
+				</listitem>
+				<listitem>
+					<para>Select the <emphasis role="strong">Mark for Installation</emphasis>
+					check box. A dialogue box displaying the
+					dependencies of this package on other packages opens.</para>
+				</listitem>
+				<listitem>
+					<para>To continue making the required changes, click
+					<emphasis role="strong">Mark</emphasis>.</para>
+				</listitem>
+				<listitem>
+					<para>To confirm making the marked changes, click
+					<emphasis role="strong">Apply</emphasis>. The
+					<emphasis role="strong">Summary</emphasis> dialogue box
+					opens, prompting you for a final check before making the marked
+					changes.</para>
+				</listitem>
+				<listitem>
+					<para>Click <emphasis role="strong">Apply</emphasis> to
+					continue with the changes.</para>
+				</listitem>
+				<listitem>
+					<para>When all the marked changes are made, you are notified of
+					the changes applied. Click <emphasis role="strong">Close</emphasis>.</para>
+				</listitem>
+			</orderedlist>
+			</para>
+			<para>c) Installing 7zip by using apt-get:
+			<orderedlist numeration="arabic">
+				<listitem>
+					<para>On the <emphasis role="strong">Applications</emphasis>
+					menu, point to <emphasis role="strong">Accessories</emphasis>
+					and then click <emphasis role="strong">Terminal</emphasis>.
+					<emphasis role="strong">Terminal</emphasis> opens.</para>
+				</listitem>
+				<listitem>
+					<para>To install 7zip, type the following command:</para>
+					<screen><para>$ sudo apt-get install 7zip</para></screen>
+				</listitem>
+			</orderedlist>
+			</para>
+		</sect2>
+	</sect1>
+</article>

=== added directory 'chapter7/images'
=== added file 'chapter7/images/chapter7_Image_001.png'
Binary files chapter7/images/chapter7_Image_001.png and chapter7/images/chapter7_Image_001.png differ
=== added file 'chapter7/images/chapter7_Image_002.png'
Binary files chapter7/images/chapter7_Image_002.png and chapter7/images/chapter7_Image_002.png differ
=== added file 'chapter7/images/chapter7_Image_003.png'
Binary files chapter7/images/chapter7_Image_003.png and chapter7/images/chapter7_Image_003.png differ
=== added file 'chapter7/images/chapter7_Image_004.png'
Binary files chapter7/images/chapter7_Image_004.png and chapter7/images/chapter7_Image_004.png differ
=== added file 'chapter7/images/chapter7_Image_005.png'
Binary files chapter7/images/chapter7_Image_005.png and chapter7/images/chapter7_Image_005.png differ
=== added file 'chapter7/images/chapter7_Image_006.png'
Binary files chapter7/images/chapter7_Image_006.png and chapter7/images/chapter7_Image_006.png differ
=== added file 'chapter7/images/chapter7_Image_007.png'
Binary files chapter7/images/chapter7_Image_007.png and chapter7/images/chapter7_Image_007.png differ
=== added file 'chapter7/images/chapter7_Image_008.png'
Binary files chapter7/images/chapter7_Image_008.png and chapter7/images/chapter7_Image_008.png differ
=== added file 'chapter7/images/chapter7_Image_009.png'
Binary files chapter7/images/chapter7_Image_009.png and chapter7/images/chapter7_Image_009.png differ
=== added file 'chapter7/images/chapter7_Image_010.png'
Binary files chapter7/images/chapter7_Image_010.png and chapter7/images/chapter7_Image_010.png differ
=== added file 'chapter7/images/chapter7_Image_011.png'
Binary files chapter7/images/chapter7_Image_011.png and chapter7/images/chapter7_Image_011.png differ
=== added file 'chapter7/images/chapter7_Image_012.png'
Binary files chapter7/images/chapter7_Image_012.png and chapter7/images/chapter7_Image_012.png differ
=== added file 'chapter7/images/chapter7_Image_013.png'
Binary files chapter7/images/chapter7_Image_013.png and chapter7/images/chapter7_Image_013.png differ
=== added file 'chapter7/images/chapter7_Image_014.png'
Binary files chapter7/images/chapter7_Image_014.png and chapter7/images/chapter7_Image_014.png differ
=== added file 'chapter7/images/chapter7_Image_015.png'
Binary files chapter7/images/chapter7_Image_015.png and chapter7/images/chapter7_Image_015.png differ
=== added file 'chapter7/images/chapter7_Image_016.png'
Binary files chapter7/images/chapter7_Image_016.png and chapter7/images/chapter7_Image_016.png differ
=== added file 'chapter7/images/chapter7_Image_017.png'
Binary files chapter7/images/chapter7_Image_017.png and chapter7/images/chapter7_Image_017.png differ
=== added file 'chapter7/images/chapter7_Image_018.png'
Binary files chapter7/images/chapter7_Image_018.png and chapter7/images/chapter7_Image_018.png differ
=== added file 'chapter7/images/chapter7_Image_019.png'
Binary files chapter7/images/chapter7_Image_019.png and chapter7/images/chapter7_Image_019.png differ
=== added file 'chapter7/images/chapter7_Image_020.png'
Binary files chapter7/images/chapter7_Image_020.png and chapter7/images/chapter7_Image_020.png differ
=== added file 'chapter7/images/chapter7_Image_021.png'
Binary files chapter7/images/chapter7_Image_021.png and chapter7/images/chapter7_Image_021.png differ
=== added file 'chapter7/images/chapter7_Image_022.png'
Binary files chapter7/images/chapter7_Image_022.png and chapter7/images/chapter7_Image_022.png differ
=== added file 'chapter7/images/chapter7_Image_023.png'
Binary files chapter7/images/chapter7_Image_023.png and chapter7/images/chapter7_Image_023.png differ
=== added file 'chapter7/images/chapter7_Image_024.png'
Binary files chapter7/images/chapter7_Image_024.png and chapter7/images/chapter7_Image_024.png differ
=== added file 'chapter7/images/chapter7_Image_025.png'
Binary files chapter7/images/chapter7_Image_025.png and chapter7/images/chapter7_Image_025.png differ
=== added file 'chapter7/images/chapter7_Image_026.png'
Binary files chapter7/images/chapter7_Image_026.png and chapter7/images/chapter7_Image_026.png differ
=== added file 'chapter7/images/chapter7_Image_027.png'
Binary files chapter7/images/chapter7_Image_027.png and chapter7/images/chapter7_Image_027.png differ
=== added file 'chapter7/images/chapter7_Image_028.png'
Binary files chapter7/images/chapter7_Image_028.png and chapter7/images/chapter7_Image_028.png differ
=== added file 'chapter7/images/chapter7_Image_029.png'
Binary files chapter7/images/chapter7_Image_029.png and chapter7/images/chapter7_Image_029.png differ
=== added file 'chapter7/images/chapter7_Image_030.png'
Binary files chapter7/images/chapter7_Image_030.png and chapter7/images/chapter7_Image_030.png differ
=== added file 'chapter7/images/chapter7_Image_031.png'
Binary files chapter7/images/chapter7_Image_031.png and chapter7/images/chapter7_Image_031.png differ
=== added file 'chapter7/images/chapter7_Image_032.png'
Binary files chapter7/images/chapter7_Image_032.png and chapter7/images/chapter7_Image_032.png differ
=== added file 'chapter7/images/chapter7_Image_033.png'
Binary files chapter7/images/chapter7_Image_033.png and chapter7/images/chapter7_Image_033.png differ
=== added file 'chapter7/images/chapter7_Image_034.png'
Binary files chapter7/images/chapter7_Image_034.png and chapter7/images/chapter7_Image_034.png differ
=== added file 'chapter7/images/chapter7_Image_035.png'
Binary files chapter7/images/chapter7_Image_035.png and chapter7/images/chapter7_Image_035.png differ
=== added file 'chapter7/images/chapter7_Image_036.png'
Binary files chapter7/images/chapter7_Image_036.png and chapter7/images/chapter7_Image_036.png differ
=== added file 'chapter7/images/chapter7_Image_037.png'
Binary files chapter7/images/chapter7_Image_037.png and chapter7/images/chapter7_Image_037.png differ
=== added file 'chapter7/images/chapter7_Image_038.png'
Binary files chapter7/images/chapter7_Image_038.png and chapter7/images/chapter7_Image_038.png differ
=== added file 'chapter7/images/chapter7_Image_039.png'
Binary files chapter7/images/chapter7_Image_039.png and chapter7/images/chapter7_Image_039.png differ
=== added file 'chapter7/images/chapter7_Image_040.png'
Binary files chapter7/images/chapter7_Image_040.png and chapter7/images/chapter7_Image_040.png differ
=== added file 'chapter7/images/chapter7_Image_041.png'
Binary files chapter7/images/chapter7_Image_041.png and chapter7/images/chapter7_Image_041.png differ
=== added file 'chapter7/images/chapter7_Image_042.png'
Binary files chapter7/images/chapter7_Image_042.png and chapter7/images/chapter7_Image_042.png differ
=== added file 'chapter7/images/chapter7_Image_043.png'
Binary files chapter7/images/chapter7_Image_043.png and chapter7/images/chapter7_Image_043.png differ
=== added file 'chapter7/images/chapter7_Image_044.png'
Binary files chapter7/images/chapter7_Image_044.png and chapter7/images/chapter7_Image_044.png differ
=== added file 'chapter7/images/chapter7_Image_045.png'
Binary files chapter7/images/chapter7_Image_045.png and chapter7/images/chapter7_Image_045.png differ
=== added file 'chapter7/images/chapter7_Image_046.png'
Binary files chapter7/images/chapter7_Image_046.png and chapter7/images/chapter7_Image_046.png differ
=== added file 'chapter7/images/chapter7_Image_047.png'
Binary files chapter7/images/chapter7_Image_047.png and chapter7/images/chapter7_Image_047.png differ
=== added file 'chapter7/images/chapter7_Image_048.png'
Binary files chapter7/images/chapter7_Image_048.png and chapter7/images/chapter7_Image_048.png differ
=== added file 'chapter7/images/chapter7_Image_049.png'
Binary files chapter7/images/chapter7_Image_049.png and chapter7/images/chapter7_Image_049.png differ
=== added file 'chapter7/images/chapter7_Image_050.png'
Binary files chapter7/images/chapter7_Image_050.png and chapter7/images/chapter7_Image_050.png differ
=== added file 'chapter7/images/chapter7_Image_051.png'
Binary files chapter7/images/chapter7_Image_051.png and chapter7/images/chapter7_Image_051.png differ
=== added file 'chapter7/images/chapter7_Image_052.png'
Binary files chapter7/images/chapter7_Image_052.png and chapter7/images/chapter7_Image_052.png differ
